// Authors: Shoma Berkemeyer, Julius Schöning
// Citation: please cite the paper 'Feeling Hungry --- Association of Dietary Patterns with Food Choices Using Scene Perception' 2020 by the authors

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++14

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

SOURCES += \
    datastate.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    datastate.h \
    globalobjects.h \
    mainwindow.h \
    tobii.h \
    tobii_streams.h

RESOURCES +=    $${PWD}/images/fixation.png \
                $${PWD}/images/dish_white.png \
                $${PWD}/images/dish1.png \
                $${PWD}/images/dish2.png \
                $${PWD}/images/dish3.png \
                $${PWD}/images/dish4.png \
                $${PWD}/images/dish5.png

LIBS += "$$PWD/tobii_stream_engine.lib"

